apiVersion: yaook.cloud/v1
kind: NeutronDeployment
metadata:
  name: neutron-ovn
spec:
  api:
    ingress:
      fqdn: "neutron.yaook.cloud"
      port: 32443
    replicas: 1
  database:
    backup:
      schedule: "0 * * * *"
    proxy: {}
    replicas: 1
  issuerRef:
    name: ca-issuer
  keystoneRef:
    name: keystone
  messageQueue:
    replicas: 1
  memcached: {}
  neutronConfig:
    DEFAULT:
      debug: true
  neutronML2Config:
    ml2_type_flat:
      flat_networks:
      - physnet1
  novaRef:
    name: nova
  policy:
    "context_is_admin": "role:admin"
  region:
    name: MyRegion
  setup:
    ovn:
      northboundOVSDB:
        replicas: 3
        backup:
          schedule: 0 12 * * *
      northd: {}
      southboundOVSDB:
        ovnRelay:  # add this section to deploy ovn-relays
          replicas: 5
        replicas: 3
        backup:
          schedule: 0 12 * * *
      controller:
        configTemplates:
        - nodeSelectors:
          - matchLabels: {}  # all nodes
        - nodeSelectors:
          - matchLabels:
              "network.yaook.cloud/neutron-network-node": "true"
          bridgeConfig:
            - bridgeName: br-ex
              uplinkDevice: eth1
              openstackPhysicalNetwork: "physnet1"
  targetRelease: yoga
